/************************************************************************
 * File Name:   memtest.h                                               *
 *                                                                      *
 * Author:      Intel Corp.                     Date:   2/15/95         *
 *                                                                      *
 *                                                                      *
 * Description: This file contains the variable prototypes for JX mem   *
 *              configuration.                                          *
 *                                                                      *
 * Revision History:                                                    *
 * -------------------------------------------------------------------- *
 ************************************************************************/

 
/* Types of test to run */
extern char *test_types[] =
                {
                        "byte",   /* test 8 bits  */
                        "short",  /* test 16 bits */
                        "word"    /* test 32 bits */
                 };

/* Zero test for 8, 16 and 32 bits */
extern unsigned int bit_0type[3] =
                {
                     0x00,
                     0x0000,
                     0x00000000
                 };


/* F test for 8, 16 and 32 bits */
extern unsigned int bit_ftype[3] =
                {
                     0xff,
                     0xffff,
                     0xffffffff
                 };


 
