/****************************************************************
 *                                                              *
 * File: fault.c                        Date: 12/13/94          *
 *                                                              *
 * Disclaimer:                                                  *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR    *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes     * 
 *              no guarantee or representations regarding the   * 
 *              use of, or the results of the use of, the       * 
 *              software and documentation in terms of          * 
 *              correctness, accuracy, reliability,             * 
 *              currentness, or otherwise, and you rely on the  * 
 *              software, documentation, and results solely     * 
 *              at your own risk.                               *
 *                                                              *
 *                                                              *        
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 *                                                              *
 ****************************************************************/
 
 /***************************************************************
 * File Name:   flt_proc.h                                      *
 *                                                              *
 *                                                              *
 * Author: Intel Corp.          Date:   4/5/94                  *
 *                                                              *
 * Description:                                                 *
 *              This file contains function declarations used in*
 *              the fault.c program.                            *
 *                                                              *
 *                                                              *
 * Parameters:  None                                            *
 *                                                              *
 * Returns:     None                                            *
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 ****************************************************************/
#include "system.h" 
 
extern void oper_proc();
extern void para_proc();
extern void prot_proc();
extern void const_proc();
extern void type_proc();
extern void arith_proc();


extern void fault_record_data(FAULT_RECORD *fault_ptr);
