/**************************************************
 *                                                *
 *  Header: mmraddr.h                             *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *     TJ  12/31/94  Creation                     *
 *                                                *
 *************************************************/

#ifndef _MMRADDR_H_
#define _MMRADDR_H_

/* memory-mapped control register addresses for Jx and Hx only */

#if defined(__i960JA__) || \
    defined(__i960JD__) || \
    defined(__i960JF__) || \
    defined(__i960HA__) || \
    defined(__i960HD__) || \
    defined(__i960HT__)


#define IPND_ADDR 0xFF008500  /* memory-mapped addres for IPND         */
#define IMSK_ADDR 0xFF008504  /*                          IMSK         */
#define ICON_ADDR 0xFF008510  /*                          ICON         */
#define PRCB_PTR  0xFF008700  /*                          PRCB pointer */

#endif

#endif 

