/**************************************************
 *                                                *
 *  Header file for TIMER.C                       *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *     TJ  12/30/94  Creation                     *
 *                                                *
 *************************************************/

#ifndef _TIMER_H_
#define _TIMER_H_

/* typedef definitions */
typedef struct tagCIODEV
{
    volatile unsigned char cData;
    volatile unsigned char pad1[3]; /* longword boundary padding */
    volatile unsigned char bData;
    volatile unsigned char pad2[3]; /* longword boundary padding */
    volatile unsigned char aData;
    volatile unsigned char pad3[3]; /* longword boundary padding */
    volatile unsigned char Ctrl;
}
CIODEV;

/* macro definitions */
#define CIO_BASEADDR ((CIODEV *) 0xB0040000)
#define FREQ_IN      (4000000)

/* function prototypes */
void InitTimerTick(int, int);

#endif

