/**************************************************
 *                                                *
 *  Header file for UTILS.C                       *
 *                                                *
 *  Revision History:                             *
 *                                                *
 *   TJ  12/31/94  Creation                       *
 *                                                *
 *************************************************/

#ifndef _UTILS_H_
#define _UTILS_H_

#include <stdlib.h>

/***********************
 * Function Prototypes *
 **********************/

PRCB     *GetPRCB(void);
WORD     ReadIPND();
WORD     ReadIMSK();
void     WriteIPND(WORD);
void     WriteIMSK(WORD);
WORD     SetProcPriority(WORD);
ARITHCTL ReadAC(void);
ARITHCTL WriteAC(ARITHCTL);
PROCCTL  ReadPC(void);
PROCCTL  WritePC(PROCCTL);
TRCCTL   ReadTC(void);
TRCCTL   WriteTC(TRCCTL);
ARITHCTL ReadACInitImage(void);
void     FrameDump(int, BOOL);
BYTE     GetNextRdyTask(void);

#endif

