 /***************************************************************
 *                                                              *
 * File:        dma.h                   Date: 3/11/95           *
 *                                                              *
 * Disclaimer:                                                  *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR    *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes     * 
 *              no guarantee or representations regarding the   * 
 *              use of, or the results of the use of, the       * 
 *              software and documentation in terms of          * 
 *              correctness, accuracy, reliability,             * 
 *              currentness, or otherwise, and you rely on the  * 
 *              software, documentation, and results solely     * 
 *              at your own risk.                               *
 *                                                              *
 * Description:                                                 *
 *              This file contains constant and procedure       *
 *              definitions for the code located in dma.c.      *
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 *                                                              *
 ****************************************************************/
#ifndef _H_SYSTEM
#define _H_SYSTEM


 

/* Function declaration */
void modify_dmac(unsigned int set, unsigned int bit);
void setup_sdma();
void setup_interrupt();

/* DMA variable declaration */
#define DMAC 2

#define SET 1
#define CLR 0 

#endif  _H_SYSTEM

