/*******************************************************************
 *                                                                 *
 * File:        sdma.c                      Date: 3/11/95          *
 *                                                                 *
 * Disclaimer:                                                     *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY,   *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR       *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes no     *
 *              guarantee or representations regarding the use     *
 *              of, or the results of the use of, the software     *
 *              and documentation in terms of correctness,         *
 *              accuracy, reliability, currentness, or             *
 *              otherwise,  and you rely on the software,          *
 *              documentation, and results solely at your own      *
 *              risk.                                              *
 *                                                                 * 
 * Overview:                                                       *
 *                                                                 *
 *  This file provides an assembly routine that will configure     *
 *  DMA channel 0.  It also provides the chained linked buffers.   *
 *                                                                 *
 * Revision History:                                               *
 * ----------------------------------------------------------------*
 *******************************************************************/ 
    .globl    _setup_sdma

_setup_sdma:

     
    ldconst  ptr1, g4        #load address of first chain
    ldconst  0x1b23, g1      #load control word
    sdma 0, g1, g4           #configure channel 0
    ret


/* make sure data being transfered is not being used by monitor */
    .align 4        # linked chain buffers
ptr1:
      .word 0x100, 0x0a0d0000, 0x0af00000, ptr2
ptr2:
      .word 0x100, 0x0, 0x0af20000, ptr3
ptr3:
      .word 0x100, 0x0, 0x0af40000, 0x0 



