 
 /***************************************************************
 *                                                              *
 * File: fault.c                        Date: 3/11/95           *
 *                                                              *
 * Disclaimer:                                                  *
 *              Intel provides this AS IS, WITHOUT ANY WARRANTY *
 *              INCLUDING THE WARRANTY OF MERCHANTABILITY OR    *
 *              FITNESS FOR A PARTICULAR PURPOSE, and makes     * 
 *              no guarantee or representations regarding the   * 
 *              use of, or the results of the use of, the       * 
 *              software and documentation in terms of          * 
 *              correctness, accuracy, reliability,             * 
 *              currentness, or otherwise, and you rely on the  * 
 *              software, documentation, and results solely     * 
 *              at your own risk.                               *
 *                                                              *
 *                                                              *        
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 *                                                              *
 ****************************************************************/
 
 /***************************************************************
 * File Name:   fault.h                                         *
 *                                                              *
 *                                                              *
 * Author: Intel Corp.          Date:   3/11/95                 *
 *                                                              *
 * Description:                                                 *
 *              This file contains function declarations used in*
 *              the fault.c program.                            *
 *                                                              *
 *                                                              *
 * Parameters:  None                                            *
 *                                                              *
 * Returns:     None                                            *
 *                                                              *
 * Revision History:                                            *
 * ------------------------------------------------------------ *
 ****************************************************************/




extern void protfault();
extern void parafault();
extern void super_mode();

extern void oper_proc();
extern void para_proc();
extern void prot_proc();
extern void const_proc();
extern void type_proc();
extern void arith_proc();


extern void load_flt_proc();

extern void mod_fault_table (unsigned int entry_offset, 
                                unsigned int new_value, int system_call_sel);
extern void mod_sysproc_entry (unsigned int entry_num,
                             unsigned int sysproc_add, unsigned int sup_sel); 








